Blue Guardrails

Get Labeling Project Metrics

Get labeling project metrics.

GET
/v1/labeling-projects/{project_id}/metrics

Path Parameters

project_id*string
Formatuuid

Query Parameters

assignee_id?|

Optional assignee filter

task_type?string

Task type filter: all, primary, review, or source

Default"all"
Value in"all" | "primary" | "review" | "source"

Header Parameters

x-workspace-id?|

Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).

Response Body

application/json

application/json

curl -X GET "https://loading/v1/labeling-projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/metrics"
{
  "filters": {
    "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",
    "task_type": "all"
  },
  "tasks_by_status_and_type": [
    {
      "task_type": "primary",
      "status": "string",
      "count": 0
    }
  ],
  "submitted_annotation_status_breakdown": [
    {
      "status": "string",
      "count": 0
    }
  ],
  "submitted_label_breakdown": [
    {
      "label": "string",
      "count": 0
    }
  ],
  "source_submitted_annotation_status_breakdown": [
    {
      "status": "string",
      "count": 0
    }
  ],
  "source_submitted_label_breakdown": [
    {
      "label": "string",
      "count": 0
    }
  ],
  "source_vs_annotator_agreement": {
    "compared_items": 0,
    "empty_items": 0,
    "micro_f1": 1,
    "micro_iou": 1,
    "macro_f1": 1,
    "macro_iou": 1
  },
  "annotator_vs_reviewer_agreement": {
    "pair_weighted": {
      "compared_items": 0,
      "empty_items": 0,
      "micro_f1": 1,
      "micro_iou": 1,
      "macro_f1": 1,
      "macro_iou": 1
    },
    "source_weighted_macro_f1": 1,
    "source_weighted_macro_iou": 1,
    "source_task_count": 0,
    "pair_count": 0
  },
  "hallucination_rate": {
    "human": {
      "numerator": 0,
      "denominator": 0,
      "rate": 1
    },
    "source": {
      "numerator": 0,
      "denominator": 0,
      "rate": 1
    }
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}